Hubo Library

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes
CSC5262 Class Reference

`#include <CSC5262.h>`

## Public Member Functions
| CSC5262 (int pulseLength, int pin, bool bQuiet=false)
virtual | ~CSC5262 ()
bool | SwitchSocket (unsigned char SystemCode, unsigned char Receiver, bool bTurnOn, int repeatedSuccess, int totalTransmittion)
bool | Switch (unsigned char SystemCode, unsigned char Receiver, bool bTurnOn)
| CSC5262 (int pulseLength, int pin, bool bQuiet=false)
virtual | ~CSC5262 ()
bool | SwitchSocket (unsigned char SystemCode, unsigned char Receiver, bool bTurnOn, int repeatedSuccess, int totalTransmittion)
bool | Switch (unsigned char SystemCode, unsigned char Receiver, bool bTurnOn)
| CSC5262 (int pulseLength, int pin, bool bQuiet=false)
virtual | ~CSC5262 ()
bool | SwitchSocket (unsigned char SystemCode, unsigned char Receiver, bool bTurnOn, int repeatedSuccess, int totalTransmittion)
bool | Switch (unsigned char SystemCode, unsigned char Receiver, bool bTurnOn)

## Protected Types
enum | TriSTateBit { Zero = 0, One, Floating, Sync, Zero = 0, One, Floating, Sync, Zero = 0, One, Floating, Sync }
enum | TriSTateBit { Zero = 0, One, Floating, Sync, Zero = 0, One, Floating, Sync, Zero = 0, One, Floating, Sync }
enum | TriSTateBit { Zero = 0, One, Floating, Sync, Zero = 0, One, Floating, Sync, Zero = 0, One, Floating, Sync }

## Protected Member Functions
void | SendLogicalBit (unsigned short bit)
void | SendPysicalBit (TriSTateBit bit)
void | SendCommand (bool bTurnOn)
void | SendSync ()
void | SendLogicalBit (unsigned short bit)
void | SendPysicalBit (TriSTateBit bit)
void | SendCommand (bool bTurnOn)
void | SendSync ()
void | SendLogicalBit (unsigned short bit)
void | SendPysicalBit (TriSTateBit bit)
void | SendCommand (bool bTurnOn)
void | SendSync ()

## Protected Attributes
int | m_PulseLength
int | m_Pin
bool | m_bQuiet

## Detailed Description

Definition at line 5 of file CSC5262.h.

## Member Enumeration Documentation

enum CSC5262::TriSTateBit
| protected

Enumerator
Zero |
One |
Floating |
Sync |
Zero |
One |
Floating |
Sync |
Zero |
One |
Floating |
Sync |

Definition at line 15 of file CSC5262.h.

enum CSC5262::TriSTateBit
| protected

Enumerator
Zero |
One |
Floating |
Sync |
Zero |
One |
Floating |
Sync |
Zero |
One |
Floating |
Sync |

Definition at line 15 of file CSC5262.h.

enum CSC5262::TriSTateBit
| protected

Enumerator
Zero |
One |
Floating |
Sync |
Zero |
One |
Floating |
Sync |
Zero |
One |
Floating |
Sync |

Definition at line 15 of file CSC5262.h.

## Constructor & Destructor Documentation

CSC5262::CSC5262 | ( | int | pulseLength,
|  | int | pin,
|  | bool | bQuiet = `false`
| ) |  |

Definition at line 10 of file CSC5262.cpp.

CSC5262::~CSC5262 | ( |  | ) |
| virtual

Definition at line 23 of file CSC5262.cpp.

CSC5262::CSC5262 | ( | int | pulseLength,
|  | int | pin,
|  | bool | bQuiet = `false`
| ) |  |

virtual CSC5262::~CSC5262 | ( |  | ) |
| virtual

CSC5262::CSC5262 | ( | int | pulseLength,
|  | int | pin,
|  | bool | bQuiet = `false`
| ) |  |

virtual CSC5262::~CSC5262 | ( |  | ) |
| virtual

## Member Function Documentation

void CSC5262::SendCommand | ( | bool | bTurnOn | ) |
| protected

Definition at line 78 of file CSC5262.cpp.

void CSC5262::SendCommand | ( | bool | bTurnOn | ) |
| protected

void CSC5262::SendCommand | ( | bool | bTurnOn | ) |
| protected

void CSC5262::SendLogicalBit | ( | unsigned short | bit | ) |
| protected

void CSC5262::SendLogicalBit | ( | unsigned short | bit | ) |
| protected

Definition at line 69 of file CSC5262.cpp.

void CSC5262::SendLogicalBit | ( | unsigned short | bit | ) |
| protected

void CSC5262::SendPysicalBit | ( | TriSTateBit | bit | ) |
| protected

void CSC5262::SendPysicalBit | ( | TriSTateBit | bit | ) |
| protected

void CSC5262::SendPysicalBit | ( | CSC5262::TriSTateBit | bit | ) |
| protected

Definition at line 28 of file CSC5262.cpp.

void CSC5262::SendSync | ( |  | ) |
| protected

void CSC5262::SendSync | ( |  | ) |
| protected

void CSC5262::SendSync | ( |  | ) |
| protected

Definition at line 92 of file CSC5262.cpp.

bool CSC5262::Switch | ( | unsigned char | SystemCode,
|  | unsigned char | Receiver,
|  | bool | bTurnOn
| ) |  |

bool CSC5262::Switch | ( | unsigned char | SystemCode,
|  | unsigned char | Receiver,
|  | bool | bTurnOn
| ) |  |

bool CSC5262::Switch | ( | unsigned char | SystemCode,
|  | unsigned char | Receiver,
|  | bool | bTurnOn
| ) |  |

Definition at line 98 of file CSC5262.cpp.

bool CSC5262::SwitchSocket | ( | unsigned char | SystemCode,
|  | unsigned char | Receiver,
|  | bool | bTurnOn,
|  | int | repeatedSuccess,
|  | int | totalTransmittion
| ) |  |

Definition at line 128 of file CSC5262.cpp.

bool CSC5262::SwitchSocket | ( | unsigned char | SystemCode,
|  | unsigned char | Receiver,
|  | bool | bTurnOn,
|  | int | repeatedSuccess,
|  | int | totalTransmittion
| ) |  |

bool CSC5262::SwitchSocket | ( | unsigned char | SystemCode,
|  | unsigned char | Receiver,
|  | bool | bTurnOn,
|  | int | repeatedSuccess,
|  | int | totalTransmittion
| ) |  |

## Field Documentation

bool CSC5262::m_bQuiet
| protected

Definition at line 31 of file CSC5262.h.

int CSC5262::m_Pin
| protected

Definition at line 30 of file CSC5262.h.

int CSC5262::m_PulseLength
| protected

Definition at line 29 of file CSC5262.h.

The documentation for this class was generated from the following files:

- JamDemo/CSC5262.h
- JamDemo/CSC5262.cpp